# Uses of Class
org.mariadb.jdbc.type.GeometryCollection

Packages that use GeometryCollection
Package
Description
org.mariadb.jdbc.plugin.codec

## Uses of GeometryCollection in org.mariadb.jdbc.plugin.codec

Classes in org.mariadb.jdbc.plugin.codec that implement interfaces with type arguments of type GeometryCollection
Modifier and Type
Class
Description
`class`
`GeometryCollectionCodec`
GeometryCollection codec
Methods in org.mariadb.jdbc.plugin.codec that return GeometryCollection
Modifier and Type
Method
Description
`GeometryCollection`
GeometryCollectionCodec.`decodeBinary(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`
`GeometryCollection`
GeometryCollectionCodec.`decodeText(org.mariadb.jdbc.client.ReadableByteBuf buf, MutableInt length, org.mariadb.jdbc.client.ColumnDecoder column, Calendar cal, org.mariadb.jdbc.client.Context context)`